xpra icon
Bug tracker and wiki

https://xpra.org/icons/package.png

Ubuntu Packages

The problems with distribution packages are well known, but the spectrum of problems with the Ubuntu packages is so extreme that it deserves its own wiki page.

TLDR: use official packages from https://xpra.org and things should just work.


The number one support request on the bug tracker, mailing list and IRC channel is by far "problems with the Ubuntu" packages, this is solved in 99% of cases by installing the official packages.

This list is by no means exhaustive, but it should be enough to understand why the Ubuntu packages should be avoided (some of those issues are seriously debilitating):


Some examples from IRC:

18:39 < flonash> hi there! I'm trying to setup xpra in a ubuntu 16.04 docker container, but the "start-desktop" command isn't available back then. What alternatives are there? Thanks so much for helping me with this!
19:52 < flonash> it was still giving v0.15.6 .. but it looks like the instructions in that link weren't as helpful as https://winswitch.org/downloads/debian-repository.html?dist_select=xenial which worked
19:53 < flonash> I'm now up and running!
18:54 < caffeineaddict> damn, default ubuntu version is `xpra v2.1.3-r17247M` ... brb upgrading that first
19:31 < caffeineaddict> <.< latest version of software makes it work ... who'da thunk

And many more..


Then the usage examples they are using are also out of date and wrong:

Last modified 6 days ago Last modified on 10/19/20 12:45:50